VOS_DELENTRY(1)

NAME
vos_delentry - Removes a volume entry from the VLDB.

SYNOPSIS
vos delentry [-id <volume name or ID>+]
   [-prefix <prefix of volume whose VLDB entry is to be deleted>]
    [-server <machine name>]
    [-partition <partition name>]
    [-cell <cell name>] [-noauth] [-localauth]
    [-verbose] [-encrypt] [-noresolve] [-help]

vos de [-i <volume name or ID>+]
    [-pr <prefix of volume whose VLDB entry is to be deleted>]
    [-s <machine name>] [-pa <partition name>]
    [-c <cell name>] [-noa] [-l]
    [-v] [-e] [-nor] [-h]

DESCRIPTION
The vos delentry command removes the Volume Location Database (VLDB) entry for each specified volume. A specified volume can be any of the three types (read/write, read-only, or backup), but the entire entry is removed no matter which type is provided. The command has no effect on the actual volumes on file server machines, if they exist.

This command is useful if a volume removal operation did not update the VLDB (perhaps because the vos zap command was used), but the system administrator does not feel it is necessary to use the vos syncserv and vos syncvldb commands to synchronize an entire file server machine.

To remove the VLDB entry for a single volume, use the -id argument. To remove groups of volumes, combine the -prefix, -server, and -partition arguments. The following list describes how to remove the VLDB entry for the indicated group of volumes:

•   For every volume whose name begins with a certain character string (for example, "sys." or "user."): use the -prefix argument.

•   Every volume for which the VLDB lists a site on a certain file server machine: specify the file server name with the -server argument.

•   Every volume for which the VLDB lists a site on a partition of the same name (for instance, on the /vicepa partition on any file server machine): specify the partition name with the -partition argument.

•   Every volume for which the VLDB lists a site one a specific partition of a file server machine: specify both the -server and -partition arguments.

•   Every volume whose name begins with a certain prefix and for which the VLDB lists a site on a file server machine: combine the -prefix and -server arguments. Combine the -prefix argument with the -partition argument, or both the -server and -partition arguments, to remove a more specific group of volumes.

CAUTIONS
Do not use this command to remove a volume in normal circumstances; it does not remove a volume from the file server machine, and so is likely to make the VLDB inconsistent with state of the volumes on server machines. Use the vos remove command to remove both the volume and its VLDB entry.

OPTIONS

-id <volume name or ID>+
    Specifies the complete name or the volume ID number of each volume for which to remove the VLDB entry. The entire entry is removed, regardless of whether the read/write, read-only, or backup version is indicated. Provide this argument or some combination of the -prefix, -server, and -partition arguments.

-prefix <prefix of volume entry
    Specifies a character string of any length; the VLDB entry for a volume whose name begins with the string is removed. Include field separators (such as periods) if appropriate. Combine this argument with the -server argument, -partition argument, or both.

-server <server name>
    Identifies a file server machine; if a volume's VLDB entry lists a site on the machine, the entry is removed. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see vos(1).

    Combine this argument with the -prefix argument, the -partition argument, or both.

-partition <partition name>
    Identifies a partition; if a volume's VLDB entry lists a site on the partition, the entry is removed. Provide the partition's complete name with preceding slash (for example, /vicepa) or use one of the three acceptable abbreviated forms. For details, see vos(1).

    Combine this argument with the -prefix argument, the -server argument, or both.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text. This option is available in OpenAFS versions 1.4.11 or later and 1.5.60 or later.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. This is very useful when the server address is registered as 127.0.0.1 or when dealing with multi-homed servers. This option is available in OpenAFS versions 1.4.8 or later and 1.5.35 or later.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The following message confirms the success of the command by indicating how many VLDB entries were removed.

   Deleted <number> VLDB entries

EXAMPLES
The following command removes the VLDB entry for the volume "user.temp".

   % vos delentry user.temp

The following command removes the VLDB entry for every volume whose name begins with the string "test" and for which the VLDB lists a site on the file server machine "fs3.abc.com".

   % vos delentry -prefix test -server fs3.abc.com

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
vos(1), vos_remove(1), vos_syncserv(1), vos_syncvldb(1), vos_zap(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.